#!/usr/bin/env Rscript

nRep <- 3
Ped <- read.table(file="PedigreeAndGeneticValues.txt", header=TRUE)
VarE <- as.numeric(strsplit(system(command="cat TraitVarianceComponents.txt | grep VarE | awk '{ print $2\" \"$3}'", intern=TRUE), split=" ")[[1]])
SdE <- sqrt(VarE)



for (Ind in Ped$Indiv) {
 #x <- sample(1:100,1)
 x <- rgeom(1,.15)+1
 Ped[Ind,"weight"]<-x
 #resUn
 res <- rnorm(n=x, mean=0, sd=SdE[1])
 mres <- mean(res)
 Ped[Ind,"phenoNormUnres1"] <- Ped[Ind,"gvNormUnres1"]+mres
 #resRes
 res <- rnorm(n=x, mean=0, sd=SdE[2])
 mres <- mean(res)
 Ped[Ind,"phenoNormRestr1"] <- Ped[Ind,"gvNormRestr1"]+mres
}

write.table(x=Ped, file="PedigreeAndGeneticValuesReplicates.txt", row.names=FALSE, quote=FALSE)

summary(Ped)
